Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8209364

[8u] Remove hotspot build warnings for cl.exe and link.exe verisons

    Details

    • Type: Bug
    • Status: Open
    • Priority: P3
    • Resolution: Unresolved
    • Affects Version/s: 8
    • Fix Version/s: None
    • Component/s: infrastructure
    • Labels:

      Description


      In jdk8u Windows builds, hotspot warns if the cl.exe and link.exe versions are not the very specific version it recognises:

      *** WARNING *** unrecognized cl.exe version 1913 (). Use FORCE_MSC_VER to override automatic detection.
      *** WARNING *** unrecognized link.exe version 1413 (). Use FORCE_LD_VER to override automatic detection.

      We should remove these warnings.
      The supported Windows compiler remains VS2010 but it is possible to build with other compiler versions.

        Attachments

          Activity

            People

            • Assignee:
              kevinw Kevin Walls
              Reporter:
              kevinw Kevin Walls
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: